qpid Namespace Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Functions
qpid Namespace Reference

This file was automatically generated from the AMQP specification. More...

## Namespaces
namespace | amqp_0_10
namespace | client
namespace | console
namespace | framing
| The framing namespace contains classes that are used to create, send and receive the basic packets from which AMQP is built.
namespace | log
namespace | management
namespace | messaging
namespace | sys
namespace | types
## Classes
struct | Address
| Contains the protocol address of an AMQP broker. More...
class | Exception
| Base class for Qpid runtime exceptions. More...
struct | ErrnoException
| Exception that includes an errno message. More...
struct | SessionException
struct | ChannelException
struct | ConnectionException
struct | ClosedException
struct | TransportFailure
| Exception representing transport failure. More...
class | InlineAllocator
| An allocator that has inline storage for up to Max objects of type BaseAllocator::value_type. More...
struct | InlineRebind
struct | InlineRebind< T, T, BaseAllocator, Max >
class | InlineVector
| A vector that stores up to Max elements in inline storage, otherwise uses normal vector allocation. More...
struct | Msg
| A simple wrapper for std::ostringstream that allows in place construction of a message and automatic conversion to string. More...
class | OptionValue
struct | Options
| Base class for options. More...
struct | CommonOptions
| Standard options for configuration. More...
class | Range
| A range of values, used in RangeSet. More...
class | RangeSet
| A set implemented as a list of [begin, end) ranges. More...
class | SessionId
| Identifier for a session. More...
struct | Url
| An AMQP URL contains a list of addresses. More...
## Functions
std::ostream & | operator<< (std::ostream &os, const Address &addr)
bool | operator== (const Address &x, const Address &y)
std::ostream & | operator<< (std::ostream &o, const Msg &m)
std::string | prettyArg (const std::string &, const std::string &)
template<class T >
po::value_semantic * | optValue (T &value, const char *name)
| Create an option value.
template<class T >
po::value_semantic * | optValue (std::vector< T > &value, const char *name)
| Create a vector value.
po::value_semantic * | optValue (bool &value)
| Create a boolean switch value.
template<class T >
std::ostream & | operator<< (std::ostream &o, const Range< T > &r)
template<class T >
std::ostream & | operator<< (std::ostream &o, const RangeSet< T > &rs)
std::ostream & | operator<< (std::ostream &, const SessionId &)
bool | operator== (const Url &a, const Url &b)
bool | operator!= (const Url &a, const Url &b)
std::ostream & | operator<< (std::ostream &os, const Url &url)
std::istream & | operator>> (std::istream &is, Url &url)

## Detailed Description

This file was automatically generated from the AMQP specification.

Do not edit.

## Function Documentation

bool qpid::operator!= | ( | const Url & | a,
|  | const Url & | b
| ) |  | `[inline]`

Definition at line 96 of file Url.h.

std::ostream& qpid::operator<< | ( | std::ostream & | os,
|  | const Address & | addr
| ) |  |

std::ostream& qpid::operator<< | ( | std::ostream & | ,
|  | const SessionId & |
| ) |  |

std::ostream& qpid::operator<< | ( | std::ostream & | o,
|  | const Msg & | m
| ) |  | `[inline]`

Definition at line 68 of file Msg.h.

std::ostream& qpid::operator<< | ( | std::ostream & | os,
|  | const Url & | url
| ) |  |

template<class T >

std::ostream& qpid::operator<< | ( | std::ostream & | o,
|  | const Range< T > & | r
| ) |  |

Definition at line 199 of file RangeSet.h.

template<class T >

std::ostream& qpid::operator<< | ( | std::ostream & | o,
|  | const RangeSet< T > & | rs
| ) |  |

Definition at line 204 of file RangeSet.h.

bool qpid::operator== | ( | const Address & | x,
|  | const Address & | y
| ) |  |

bool qpid::operator== | ( | const Url & | a,
|  | const Url & | b
| ) |  | `[inline]`

Definition at line 95 of file Url.h.

std::istream& qpid::operator>> | ( | std::istream & | is,
|  | Url & | url
| ) |  |

template<class T >

po::value_semantic* qpid::optValue | ( | T & | value,
|  | const char * | name
| ) |  |

Create an option value.

name, value appear after the option name in help like this: <name> (=

) T must support operator <<.

See also:
  Options for example of use.

Definition at line 74 of file Options.h.

References prettyArg().

template<class T >

po::value_semantic* qpid::optValue | ( | std::vector< T > & | value,
|  | const char * | name
| ) |  |

Create a vector value.

Multiple occurences of the option are accumulated into the vector

Definition at line 83 of file Options.h.

References prettyArg().

po::value_semantic* qpid::optValue | ( | bool & | value | ) | `[inline]`

Create a boolean switch value.

Presence of the option sets the value.

Definition at line 94 of file Options.h.

std::string qpid::prettyArg | ( | const std::string & | ,
|  | const std::string & |
| ) |  |

Referenced by optValue().